diff -Naur jde-2.3.2.orig/fink/emacsen-install jde-2.3.2/fink/emacsen-install
--- jde-2.3.2.orig/fink/emacsen-install	Thu Jan  1 10:00:00 1970
+++ jde-2.3.2/fink/emacsen-install	Wed Feb 26 01:30:23 2003
@@ -0,0 +1,38 @@
+#! /bin/sh -e
+
+FLAVOR=$1
+PACKAGE=jde
+
+echo install/${PACKAGE}: Handling install of emacsen flavor ${FLAVOR}
+
+if [ ${FLAVOR} == emacs ]; then exit 0; fi
+
+FLAVORTEST=`echo $FLAVOR | cut -c-6`
+if [ ${FLAVORTEST} = xemacs ] ; then
+    SITEFLAG="-no-site-file"
+else
+    SITEFLAG="--no-site-file"
+fi
+FLAGS="${SITEFLAG} -q -batch -l path.el -f batch-byte-compile"
+
+ELDIR=@PREFIX@/share/emacs/site-lisp/${PACKAGE}
+ELCDIR=@PREFIX@/share/${FLAVOR}/site-lisp/${PACKAGE}
+
+install -m 755 -d ${ELCDIR}
+cd ${ELDIR}
+
+FILES=`echo *.el`
+cp ${FILES} ${ELCDIR}
+cd ${ELCDIR}
+
+cat << EOF > path.el
+(setq load-path (cons "." load-path) byte-compile-warnings nil)
+EOF
+
+rm -f *.elc
+${FLAVOR} ${FLAGS} ${FILES}
+
+rm -f *.el
+
+exit 0
+
diff -Naur jde-2.3.2.orig/fink/emacsen-remove jde-2.3.2/fink/emacsen-remove
--- jde-2.3.2.orig/fink/emacsen-remove	Thu Jan  1 10:00:00 1970
+++ jde-2.3.2/fink/emacsen-remove	Wed Feb 26 01:30:23 2003
@@ -0,0 +1,16 @@
+#!/bin/sh -e
+
+FLAVOR=$1
+
+echo remove/jde: Handling removal of emacsen flavor ${FLAVOR}
+
+if [ ${FLAVOR} != emacs ]
+then
+  echo remove/jde: purging byte-compiled files for ${FLAVOR}
+
+  rm -rf @PREFIX@/share/${FLAVOR}/site-lisp/jde
+
+fi
+
+exit 0;
+
diff -Naur jde-2.3.2.orig/fink/jtags.1 jde-2.3.2/fink/jtags.1
--- jde-2.3.2.orig/fink/jtags.1	Thu Jan  1 10:00:00 1970
+++ jde-2.3.2/fink/jtags.1	Wed Feb 26 01:30:23 2003
@@ -0,0 +1,25 @@
+.TH JTAGS 1
+.SH NAME
+jtags \- generate tag file for Emacs for Java source code
+.SH SYNOPSIS
+.B jtags
+[ \-h | 
+.I srcdir
+]
+.SH DESCRIPTION
+This program produces an Emacs tags file for Java source code.  The tags file
+contains tags for classes, interfaces, constructors, methods, and variables.
+.SH OPTIONS
+.TP
+.B \-h
+Print usage.
+.TP
+.B srcdir 
+Path of top-level directory containing Java source (*.java) files to be tagged.
+If omitted, this program tags files in the working directory and its
+subdirectories.
+.SH AUTHOR
+.B Jtags 
+was written by Paul Kinnucan <paulk@mathworks.com>.  This manual page was
+written by Ruud de Rooij <ruud@debian.org>, for the Debian GNU/Linux system,
+but may be used by others.
diff -Naur jde-2.3.2.orig/lisp/beanshell.el jde-2.3.2/lisp/beanshell.el
--- jde-2.3.2.orig/lisp/beanshell.el	Mon Dec 30 16:28:04 2002
+++ jde-2.3.2/lisp/beanshell.el	Wed Feb 26 01:30:23 2003
@@ -91,10 +91,7 @@
                (ant-home (if (boundp 'jde-ant-home)
 			     (if (string= jde-ant-home "") (getenv "ANT_HOME")
 			       jde-ant-home))) 
-	       (jde-java-directory
-		(concat
-		 (jde-find-jde-data-directory)
-		 "java/"))
+	       (jde-java-directory "@PREFIX@/share/java/jde/")
 	       (vm (oref (jde-run-get-vm) :path))
 	       (vm-args
 		(list
@@ -110,12 +107,12 @@
                          tools
                          (error "Cannot find JDK's tools jar file (or equivalent). See jde-get-jdk-dir.")))
 		     (if ant-home (expand-file-name "lib" ant-home))
-		     (expand-file-name "lib/checkstyle-all.jar" jde-java-directory)
-		     (expand-file-name "lib/jakarta-regexp.jar" jde-java-directory)
+		     (expand-file-name "checkstyle-all.jar" jde-java-directory)
+		     (expand-file-name "jakarta-regexp.jar" jde-java-directory)
 		     (if jde-devel-debug
 			 (expand-file-name "classes" jde-java-directory)
-		       (expand-file-name "lib/jde.jar" jde-java-directory))
-		     (expand-file-name "lib/bsh.jar" jde-java-directory))
+		       (expand-file-name "jde.jar" jde-java-directory))
+		     (expand-file-name "bsh.jar" jde-java-directory))
 		    (jde-get-global-classpath)))
 		  'jde-global-classpath)))
 	       (dir (cond
diff -Naur jde-2.3.2.orig/lisp/jde-checkstyle.el jde-2.3.2/lisp/jde-checkstyle.el
--- jde-2.3.2.orig/lisp/jde-checkstyle.el	Mon Dec 30 16:28:04 2002
+++ jde-2.3.2/lisp/jde-checkstyle.el	Wed Feb 26 01:30:23 2003
@@ -814,17 +814,13 @@
   (let* ((outbuf (oref this :buffer))
 	 (vm-path (oref (jde-run-get-vm) :path))
 	 (source-file (file-name-nondirectory buffer-file-name))
-	 (jde-java-directory
-	  (concat
-	   (jde-find-jde-data-directory)
-	   "java/"))
 	 (args (append
 		(jde-checkstyle-get-options)
 		(oref this :interactive-args)
 		(list "-classpath" 
 		      (if jde-checkstyle-classpath
 			  (jde-build-classpath jde-checkstyle-classpath)
-			(expand-file-name "lib/checkstyle-all.jar" jde-java-directory)))
+			"@PREFIX@/share/java/jde/checkstyle-all.jar"))
 		(list jde-checkstyle-class)
 		(if (not (string= jde-checkstyle-properties-file ""))
                     (list "-p" (jde-normalize-path jde-checkstyle-properties-file)))
diff -Naur jde-2.3.2.orig/lisp/jde-dbs.el jde-2.3.2/lisp/jde-dbs.el
--- jde-2.3.2.orig/lisp/jde-dbs.el	Mon Dec 30 16:28:04 2002
+++ jde-2.3.2/lisp/jde-dbs.el	Wed Feb 26 01:39:56 2003
@@ -858,9 +858,7 @@
 		  (jde-normalize-path 'jde-run-working-directory)
 		source-directory))	     
              (vm (oref (jde-run-get-vm) :path))
-	     (jde-java-directory
-	      (expand-file-name "java"
-	       (jde-find-jde-data-directory)))
+	     (jde-java-directory "@PREFIX@/share/java/jde/")
 	     (vm-args 
 		(let (args)
 		  (setq args 
@@ -871,12 +869,12 @@
 			  (jde-build-classpath
 			       (list
 				 (expand-file-name 
-				  (if jde-bug-debug "classes" "lib/jde.jar")
+				  (if jde-bug-debug "classes" "jde.jar")
 				  jde-java-directory)
 				 (if (jde-bug-vm-includes-jpda-p)
                                    (jde-get-tools-jar)
 				   (expand-file-name 
-				    "lib/jpda.jar" (jde-normalize-path
+				    "jpda.jar" (jde-normalize-path
 						    'jde-bug-jpda-directory))))))))
 		  (if jde-bug-debug
 		      (setq args 
diff -Naur jde-2.3.2.orig/lisp/jde.el jde-2.3.2/lisp/jde.el
--- jde-2.3.2.orig/lisp/jde.el	Mon Dec 30 16:28:02 2002
+++ jde-2.3.2/lisp/jde.el	Wed Feb 26 01:33:48 2003
@@ -2023,9 +2023,7 @@
   "Displays the JDE User's Guide in a browser."
   (interactive)
   (let* ((jde-dir (jde-find-jde-doc-directory))
-         (jde-help
-          (if jde-dir
-	      (expand-file-name "doc/html/jde-ug/jde-ug.html" jde-dir))))      
+         (jde-help "@PREFIX@/share/doc/jde/html/jde-ug/jde-ug.html"))
     (if (and
          jde-help
          (file-exists-p jde-help))
